<?php
header('Content-type: text/plain');
require_once __DIR__ . '/../data/config.php';

$time = time();
$timestr = date('Y-m-d', $time) . 'T' . date('H:i:s', $time);
$file = __DIR__ . '/articles/' . $timestr . '.htm';
$title = $timestr;
$content = `/usr/games/fortune`;

file_put_contents(
    $file,
    <<<HTM
<html>
 <head>
  <title>$title</title>
 </head>
 <body class="h-entry">
  <h1>$title</h1>
  <p>
   <span class="h-card vcard author p-author">
    <img class="u-photo" src="../someone.png" width="16" height="16" alt=""/>
    <a class="p-author h-card" href="../someone.htm">Someone</a>
   </span>
  </p>
  <div class="e-content">$content</div>
 </body>
</html>
HTM
);
echo "saved as " . $file . "\n";

//hub-notification
$params = array(
    'hub.mode' => 'publish',
    'hub.url'  => $self,
);
$enc = array();
foreach ($params as $key => $val) {
    $enc[] = urlencode($key) . '=' . urlencode($val);
}
$postMsg = implode('&', $enc);

$ctx = stream_context_create(
    array(
        'http' => array(
            'method' => 'POST',
            'header' => array(
                'Content-type: application/x-www-form-urlencoded',
            ),
            'content' => $postMsg,
            'ignore_errors' => true,
        )
    )
);

$res = file_get_contents($hub, false, $ctx);
list($http, $code, $rest) = explode(' ', $http_response_header[0]);
if (intval($code / 100) === 2) {
    echo "notified hub\n";
    exit();
}

echo "Error notifying hub: HTTP status was not 2xx; got $code\n";
echo $res . "\n";
?>
